Package twisted :: Package internet :: Module utils :: Class _BackRelay

[frames | no frames]

## Class _BackRelay

    BaseProtocol --+
                   |
     ProcessProtocol --+
                       |
                      _BackRelay

Method Summary
| `__init__(self, deferred)`
| `errReceived(self, text)`
| `outReceived(self, text)`
| ``processEnded`(self, reason)` This will be called when the subprocess is finished.
Inherited from ProcessProtocol
| ``childConnectionLost`(self, childFD)`
| ``childDataReceived`(self, childFD, data)`
| ``errConnectionLost`(self)` This will be called when stderr is closed.
| ``inConnectionLost`(self)` This will be called when stdin is closed.
| ``outConnectionLost`(self)` This will be called when stdout is closed.
Inherited from BaseProtocol
| ``connectionMade`(self)` Called when a connection is made.
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.

Class Variable Summary
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Method Details

### processEnded(self, reason)

This will be called when the subprocess is finished.

  Parameters:
    `reason`
    (type=`twisted.python.failure.Failure`)
  Overrides:
    `twisted.internet.protocol.ProcessProtocol.processEnded` (inherited documentation)

Generated by Epydoc 2.0 on Sat May 15 20:07:44 2004 | http://epydoc.sf.net